/* work by John Rey Vilbar */


/* modify browser scrollbar */
body::-webkit-scrollbar {
    width: 5px;
}
  
body::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px grey; 
    background-color: #eeeeee;
}
  
body::-webkit-scrollbar-thumb {
    background: #888;
}


/* Custom fonts */
  @font-face {
    font-family: Montserrat_Regular;
    src: url('../font/Montserrat-Regular.ttf') format('truetype');
  }

  @font-face {
    font-family: Montserrat_Medium;
    src: url('../font/Montserrat-Medium.ttf') format('truetype');
  }

  @font-face {
    font-family: Montserrat_Bold;
    src: url('../font/Montserrat-Bold.ttf') format('truetype');
  }  



/*----------------------------------------------------------*/
html {
    height: 100%;
    width: 100%;
    scroll-behavior: smooth;
}
body {
    font-family: Montserrat-Regular,'Montserrat Regular','Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    height: 100%;
    width: 100%;
    min-width: 400px; /* to prevent weird page layout when viewed in devices with width under 400px */
    margin: 0;
    padding: 0;
    overflow-y: auto;
    overflow-x: hidden;
    background-color: #f7f7f7;
}

/*------------------------------------------------------------*/
/* styling for navbar */
.navbar {
    position: relative;
    height: 100px;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    padding-top: 0%;
    padding-bottom: 60px;
    overflow: hidden; /* Add this line */
}


.navbar-sticky {
    width: 100%;
    height: 55px;
    background: linear-gradient(0deg, rgba(116,129,129,0) 0%, rgb(204, 204, 204, 0.0) 0%);
    margin: 0%;
    padding-top: 30px;
    display: block;

}

.logo {
    font-family: Montserrat_Medium, 'Montserrat Medium', 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 20px;
    user-select: none;
    margin-left: calc(5% + 10px);
}

.nav-links {
    display: flex;
    font-family: Montserrat_Medium;
    gap: 20px;
    margin-left: calc(95% - 130px);
}

.nav-link {
    text-decoration: none;
    color: #000;
    padding-bottom: 0px;
    border-bottom: 2px solid transparent;
}

.nav-link.home {
    border-bottom-color: #4caf50;
    border-bottom-width: 5px;
}

.logo, .nav-links, .navbar-sticky {
    z-index: 2;
    position: fixed;
}

/* sticky navbar until 1000px */
@media (min-width: 1000px) {
    .logo {
        margin-left: calc(5% + 10px);
    }
    .nav-links {
        margin-left: calc(95% - 130px);
    }
    .navbar-sticky {
        display: block;
        background: none;
    }
}

/* for mobile devices */
@media (max-width: 500px) {
    .logo {
        font-size: 15px;
    }
    .nav-links {
        margin-left: calc(95% - 130px);
    }
    .navbar-sticky {
        display: block;
        background: none;
        height: 40px;
        padding-top: 20px;
    }
}


/* wave animation */
.ocean {
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transform: scaleY(-1);

}

.wave {
    background: url(https://s3-us-west-2.amazonaws.com/s.cdpn.io/85486/wave.svg) repeat-x;
    position: absolute;
    bottom: -105px;
    width: 6400px;
    height: 198px;
    animation: wave 10s cubic-bezier(0.36, 0.45, 0.63, 0.53) infinite;
    transform: translate3d(0, 0, 0) scaleY(-1);
    z-index: -1; /* Add this line */
    opacity: 0.7;
}

.upside-down:nth-of-type(2) {
    animation: wave 17s cubic-bezier(0.36, 0.45, 0.63, 0.53) -.125s infinite;
    bottom: -105px;
    width: 6400px;
    height: 178px;
    z-index: -2;
    opacity: 0.5;
}

.upside-down:nth-of-type(3) {
    animation: wave 8s cubic-bezier(0.36, 0.45, 0.63, 0.53) -.125s infinite;
    bottom: -85px;
    width: 6400px;
    height: 210px;
    z-index: -3;
    opacity: 0.2;
}

@keyframes wave {
    0% {
      transform: translateX(0);
    }
    100% {
      transform: translateX(-1600px);
    }
  }
  

.navbar .wave {
    filter: grayscale(100%);
}


/*------------------------------------------------------------------*/
/*styling for project title */
.container-title {
    justify-content: center;
    align-items: center;
    height: initial; /* Adjust the height as needed */
    margin-bottom: 50px;
}

.project-title {
    font-family: Montserrat_Bold;
    text-align: center;
    margin-bottom: 0;
    font-size: 50px;
}

.container-ramble {
    justify-content: center;
    align-items: center;
    display: flex;
    user-select: none;
}

.text-ramble {
font-weight: 100;
font-family: monospace;
font-size: 20px;
}

.dud {
color: #4caf50;
}

/* for mobile */
@media (max-width: 500px) {
    .text-ramble {
        font-size: 17px;
    }    
    .project-title {
        font-size: 40px;
    }
    .text-ramble {
        font-size: 15px;
    }
}



/* styling for main page contents */
.fluid-container{
    margin-top: 80px;
    width: 100%;
    align-items: center;
    height: auto;
}

/*-----------------------------------------------------------------*/
/* Left panel */

.left-panel {
    position: relative;
}

@media (min-width: 1000px) {
    .fluid-container {
        display: flex;
        margin-bottom: 2%;
    }
    .left-panel {
        width: 50%;
    }
}

.card-input {
    height: 250px;
    border-radius: 15px;
    margin: 0 auto;
    width: 400px;
    padding-bottom: 120px; /* Adjusted to accommodate the carousel */
    align-items: center;
    

}

@media (min-width: 600px) {
    .card-input {
        width: 70%;
    }
}

@media (min-width: 1000px) {
    .card-input {
        width: 80%;
    }
}

/* for mobile */
@media (max-width: 500px) {
    .card-input {
        width: 90%;
    }
}

.header-input {
    width: 100%;
    display: flex;
    justify-content: end;
    user-select: none;
}

.add-label-header {
    margin-bottom: 20px;
    margin-top: auto;
    margin-left: auto;
    font-size: medium;
    font-family: Montserrat_Medium;
    border-bottom: 5px solid #4caf50;
    text-decoration: none;
    cursor: pointer;
    visibility: hidden;
}

.file-input {
    border-color: #afafaf;
    background-color: #eeeeee;
    border-width: 2px;
    border-style: dashed;
    border-radius: 20px;
    width: 99%;
    height: inherit;
    margin: 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 10px 0px;
    user-select: none;
}

#initial-state {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: auto;
}

/* when a file is dragged into input field */
.highlight {
    border-color: #4caf50;
    border-style: solid;
  }

.file-input-label{
    font-family: Montserrat_Regular;
    font-size: 15px;
}

.img-icon {
    width: 50px;
    height: 50px;
    margin-bottom: 10px;
}

#alt-file-input {
    color: #4caf50;
    text-decoration: none;
}

/* image carousel */
.carousel-place {
    width: inherit;
    margin-left: 9%;
    margin-right: 9%;
    height: auto;
    display: none;
    overflow-y: auto;
    background-color: aquamarine;
}

.image-roll {
    padding: 0px 0px;
    user-select: none;
    width: 100%;
    height: 90%; 
    align-items: top;
    justify-content: center;
    overflow-y: auto;
    display: none;
}

/* scrollbar appearance */
.image-roll::-webkit-scrollbar {
    width: 7px;
}

.image-roll::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 10px;
}

/* image carousel */
.carousel {
    display: block;
    padding: 5px;
    align-items: center;
    justify-content: center;
}

.carousel img {
    width: 80px;
    height: 80px;
    object-fit: cover;
    margin: 0 5px;
    cursor: pointer;
}

.carousel img.selected {
    border-bottom: 5px solid #4caf50;
    position: relative;
}



/*-------------------------------------------------*/
/* right panel */

.right-panel {
    position: relative;
    margin: 0 auto;
}

.image-section {
    width: 400px;
    border-radius: 20px 20px 20px 20px;
    background-color: #eeeeee;
    margin: 0 auto;

    padding: 30px 0px;
}

@media (min-width: 600px) {
    .image-section {
        width: 70%;
    }
}

@media (min-width: 750px) {
    .image-section {
        display: flex;
        flex-direction: row;    
    }
    .patterned-div {
        padding: 20px 0;
    }
    .overlay-div {
        margin: 20px 0;
    }
}

@media (min-width: 1000px) {
    .right-panel{
        width: 50%;
        justify-content: left;
    }
    .image-section {
        padding: 0%;
        width: auto;
    }
}

.photo-container {
    position: relative;
    width: max-content;
    height: max-content;
    margin: 0px;  
}

.image-details {
    width: inherit;
    text-align: center;
    margin: 0;
}

.image-name-label {
    display: none;
    text-align: left;
}

.image-name {
    font-size: 15px;
    font-family: Montserrat_Medium, "Montserrat Medium", "Segoe UI", "Open Sans", sans-serif;
    /* Enable text truncation with ellipsis */
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: left;
    width: 94%;
    display: block;
    margin: 0 auto;
}

.button-container {
    margin-left: 0;
    margin-top: 20px;
}

.button {
    width: 40%;
    height: 50px;
    border-radius: 7px;
    border: 2px #4caf50 solid;
    border-bottom: 5px solid #4caf50;
    color: white;
    font-family: Montserrat_Medium, "Montserrat Medium", "Segoe UI", "Open Sans", sans-serif;
    font-size: 15px;
    cursor: pointer;
    outline: none;
    color: #000000;
    user-select: none;
}

/* button hover */
.button:hover {
    background-color: #dddddd;
    
}



@media (min-width: 600px) {
    .image-details {
        width: 100%;
    }
}

@media (min-width: 750px) {
    .image-name-label {
      display: flex;
      text-align: left;
    }
    .image-details {
      width: calc(100% - 320px); /* Adjust the value based on the space taken by photo-container */
      margin-left: 20px;
      padding-top: auto;
      padding-bottom: auto;
    }
    .photo-container {
        margin: 0 20px;
        margin-top: auto;
        margin-bottom: auto;
    }
    .button {
      width: 180px;
    }
    .button-container {
      text-align: left;
      margin-top: 10px;
    }
    .image-name {
      margin: 0;
      display: block;
    }
    .image-section {
        padding: 20px;
    }
  }
  

@media (max-width: 750px) {
    .photo-container{
        margin: 0 auto;
        text-align: center;
    }
    .image-details {
        padding-top: 10px;
        margin: 0;
        font-size: 18px;
    }
    .image-details .image-name {
        text-align: center;
        margin-top: 20px;
    }
}

@media (min-width: 1000px) {
    .photo-container {
        margin: 0;
        margin-right: 30px;
        margin-top: auto;
        margin-bottom: auto;
    }
    .image-details {
        width: calc(100% - 280px);
        margin-left: 0;
    }
    .image-section {
        border-radius: 20px 0px 0px 20px;
        border-right: none;
    }
}


/* Moving patterned div */
.patterned-div {
    background-image: linear-gradient(45deg, #0000 25%, #4caf50 25%, #4caf50 50%, #0000 50%, #0000 75%, #4caf50 75%, #4caf50 50%);
    background-size: 15px 15px;
    width: 250px;
    height: 250px;
    position: relative;
    top: 0px;
    right: -10px;
    margin: 0 auto;
    -webkit-background-clip: content-box;
    background-clip: content-box;

  }

.animate {
    -webkit-animation: shad-anim 30s linear infinite forwards;
    animation: shad-anim 30s linear infinite forwards;
}

@keyframes shad-anim {
    0% {
        background-position: 0 0;
    }
    100% {
        background-position: 100% -100%;
    }
}

/* image holder */
.overlay-div {
    width: 250px;
    height: 250px;
    top: -10px;
    right: 5px;
    position: absolute;
    background-color: #cceec5;
    z-index: 1;
} 


/*-------------------------------*/
/* results */
.result-container {
    width: 350px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 10px 0;
    margin: 0 auto;
    margin-top: 20px;
    padding: 5px 0px;  
}

/* progress bars */
.label {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 260px;
    margin: 10px 0;
}
  
.label-name {
    font-family: Montserrat_Medium, "Montserrat Medium", "Segoe UI", "Open Sans", sans-serif;
    text-align: left;
    font-size: 13px;
}
  
.label-percentage {
    display: flex;
    align-items: center;
    width: 80%;
    height: 20px;
    background-color: #cfcfcf;
    border-radius: 4px;
    overflow: hidden;
}
  

.label-fill {
    height: 100%;
    background-color: #4caf50;
    transition: width 1s ease-in-out;
    width: 0;
}

.label-fill#fake-percentage {
    background-color: rgb(206, 53, 53);
}


@media (min-width: 750px) {
    .result-container {
        width: 100%;
        justify-content: left;
        margin-left: 0%;
    }
    .label {
        width: 100%;
    }
    .label-name {
        width: 50px;
        margin-right: 10px;
    }
    .label-percentage {
        width: 100%;
    }
}

@media (min-width: 1200px){
    .result-container {
        width: 278px;
    }
}

/*--------------------------------------------------------------------*/
/* Footer */
.footer {
    height: auto;
    width: 100%;
    display: flex;
    flex-direction: column;
    padding-top: 50px;
    padding-bottom: 20px;
    align-items: center;


}

.credits {
    font-size: small;
    font-family: monospace;
}

@media (min-width: 1000px) {
    .footer {
        bottom: 0;
    }
}